Bug 196683 - lang/guile2 error: Package requirements (bdw-gc-threaded) were not met
Summary: lang/guile2 error: Package requirements (bdw-gc-threaded) were not met
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-13 15:47 UTC by Santiago Pastorino
Modified: 2015-01-18 11:18 UTC (History)
1 user (show)

See Also:


Attachments
Output of make -C /usr/ports/x11/gnome3 install (61.55 KB, text/plain)
2015-01-13 15:47 UTC, Santiago Pastorino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Santiago Pastorino 2015-01-13 15:47:54 UTC
Created attachment 151567 [details]
Output of make -C /usr/ports/x11/gnome3 install

When installing guile2 which is a gnome3 dependency I get the following error ...

```
configure: error: Package requirements (bdw-gc-threaded) were not met:

Package bdw-gc-threaded was not found in the pkg-config search path.
Perhaps you should add the directory containing `bdw-gc-threaded.pc'
to the PKG_CONFIG_PATH environment variable
Package 'bdw-gc-threaded', required by 'world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
```

If I install boehm-gc-threaded before guile2 everything works ok.

In guile2 Makefile there's `THREADS_LIB_DEPENDS=  libgc.so:${PORTSDIR}/devel/boehm-gc-threaded` I wonder if that means boehm-gc-threaded should be installed before and that's not happening or if the boehm-gc-threaded dependency should be declared differently in the Makefile to have it installing before.
Maybe with some guide I can provide a patch for this.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-01-15 01:03:34 UTC
Fix Summary and notify maintainer.
Comment 2 commit-hook freebsd_committer 2015-01-18 11:17:35 UTC
A commit references this bug:

Author: bofh
Date: Sun Jan 18 11:17:18 UTC 2015
New revision: 377321
URL: https://svnweb.freebsd.org/changeset/ports/377321

Log:
  lang/guile2 error: Fix LIB_DEPENDS

  - Fixed wrong shared library

  PR:			196683
  Differential Revision:	https://reviews.freebsd.org/D1537
  Submitted by:		spastorino@gmail.com
  Approved by:		marino(mentor)

Changes:
  head/lang/guile2/Makefile
Comment 3 Muhammad Moinur Rahman freebsd_committer 2015-01-18 11:18:55 UTC
Thanks.